## IdeDebuggerInstruction IdeDebuggerInstruction |

## Functions

IdeDebuggerInstruction * | ide_debugger_instruction_new ()
IdeDebuggerAddress | ide_debugger_instruction_get_address ()
const gchar * | ide_debugger_instruction_get_function ()
void | ide_debugger_instruction_set_function ()
const gchar * | ide_debugger_instruction_get_display ()
void | ide_debugger_instruction_set_display ()

## Properties

guint64 | address | Read / Write / Construct Only
gchar * | display | Read / Write
gchar * | function | Read / Write

## Types and Values

#define | IDE_TYPE_DEBUGGER_INSTRUCTION
struct | IdeDebuggerInstructionClass
| IdeDebuggerInstruction

## Object Hierarchy

        GObject
        ╰── IdeDebuggerInstruction

## Description

## Functions

### ide_debugger_instruction_new ()

    IdeDebuggerInstruction *
    ide_debugger_instruction_new (IdeDebuggerAddress address);

### ide_debugger_instruction_get_address ()

    IdeDebuggerAddress
    ide_debugger_instruction_get_address (IdeDebuggerInstruction *self);

### ide_debugger_instruction_get_function ()

    const gchar *
    ide_debugger_instruction_get_function (IdeDebuggerInstruction *self);

### ide_debugger_instruction_set_function ()

    void
    ide_debugger_instruction_set_function (IdeDebuggerInstruction *self,
                                           const gchar *function);

### ide_debugger_instruction_get_display ()

    const gchar *
    ide_debugger_instruction_get_display (IdeDebuggerInstruction *self);

### ide_debugger_instruction_set_display ()

    void
    ide_debugger_instruction_set_display (IdeDebuggerInstruction *self,
                                          const gchar *display);

## Types and Values

### IDE_TYPE_DEBUGGER_INSTRUCTION

    #define IDE_TYPE_DEBUGGER_INSTRUCTION (ide_debugger_instruction_get_type())

### struct IdeDebuggerInstructionClass

    struct IdeDebuggerInstructionClass {
      GObjectClass parent_class;
    };

### IdeDebuggerInstruction

    typedef struct _IdeDebuggerInstruction IdeDebuggerInstruction;

## Property Details

### The `“address”` property

      “address”                  guint64

The address of the instruction.

Owner: IdeDebuggerInstruction

Flags: Read / Write / Construct Only

Default value: 0

### The `“display”` property

      “display”                  gchar *

Display.

Owner: IdeDebuggerInstruction

Flags: Read / Write

Default value: NULL

### The `“function”` property

      “function”                 gchar *

Function.

Owner: IdeDebuggerInstruction

Flags: Read / Write

Default value: NULL